worker_processes auto;

events {
# Maximum connection number    worker_connections 2048;    use epoll;
# multi_accept on;
    worker_connections  1024;
}

http {
    include /etc/nginx/mime.types;

    ssl_session_cache   shared:SSL:10m;
    ssl_session_timeout 10m;

    gzip  on;
    gzip_http_version 1.1;
    gzip_comp_level 2;
    gzip_types text/plain text/css
        application/x-javascript text/xml
        application/xml application/xml+rss
        text/javascript;

    server {
        listen              80;
        server_name         %%nom_domaine_machine;
        root    /tmp/www;
        keepalive_timeout   70;

        location / {
            autoindex on;
        }
    }
}
